package com.recovery.admin.boot.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.recovery.admin.boot.entity.User;
import com.recovery.admin.boot.mapper.UserMapper;
import com.recovery.admin.boot.service.ISysUserService;

import com.recovery.common.base.dto.UserAuthDTO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * @author： 
 */
@Service
@RequiredArgsConstructor
public class SysUserServiceImpl extends ServiceImpl<UserMapper, User> implements ISysUserService {
    @Override
    public UserAuthDTO getByUsername(String username) {
        UserAuthDTO userAuthInfo = this.baseMapper.getByUsername(username);
        return userAuthInfo;
    }

}
