package com.recovery.auth.security.details.user;

import java.io.Serializable;

public class JwtAuthenticationRequest implements Serializable {

    private static final long serialVersionUID = -8445943548965154778L;

    private String username;
    private String phone;
    private String password;
    private String verifyCode;
    private String loginMethod;
    private String visitorsType;

    public JwtAuthenticationRequest(String username,String phone,String password,String verifyCode,String loginMethod,String visitorsType) {
        this.username = username;
        this.phone = phone;
        this.password = password;
        this.verifyCode = verifyCode;
        this.loginMethod = loginMethod;
        this.visitorsType = visitorsType;
    }

    public JwtAuthenticationRequest() {
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getUserPhone() {
        return phone;
    }

    public void setUserPhone(String phone) {
        this.phone = phone;
    }

    public String getVerifyCode() {
        return verifyCode;
    }

    public void setVerifyCode(String verifyCode) {
        this.verifyCode = verifyCode;
    }

    public String getLoginMethod() {
        return loginMethod;
    }

    public void setLoginMethod(String loginMethod) {
        this.loginMethod = loginMethod;
    }
    public String getVisitorsType() {
        return visitorsType;
    }

    public void setVisitorsType(String visitorsType) {
        this.visitorsType = visitorsType;
    }
}
