package com.recovery.common.base.constant;

import cn.hutool.core.date.DateUtil;

import java.util.HashMap;

public class Constants {
    public static int OK = 1;
    public static int LOGIN_FAIL = 2;
    public static int PARAM_NULL = 3;
    public static int PARAM_ERR = 4;
    public static int SYSTEM_ERR = 5;
    public static int OTHER = 6;
    //格式异常
    public static int FORMAT_ERR=7;
    public final static String PARAM_NULL_MSG = "参数为空";
    public final static String PARAM_ERR_MSG = "参数错误";
    public final static String SYSTEM_ERR_MSG = "系统异常";



    public final static String UPLOAD_SIZE_ERR_MSG = "上传大小错误";


    public static final String LOGIN_USRE_TOKEN = "satoken";

    //token
    public static final String REDIS_USRE_TOKEN = "satoken:login:token:";

    //用户信息
    public static final String REDIS_USRE_INFO = "satoken:login:userInfo:";

    //token过期时间 七天
    public static final Integer REDIS_TOKEN_TIME = 7*24*60*60;



    public final static String WHOLE_DOMAIN_REDIS_KEY = "HOE_WHOLE_DOMAIN_REDIS_KEY";
    public final static String[] CHINESE_NUM = {"一","二","三","四","五","六","七","八","九","十"
                                            ,"十一","十二","十三","十四","十五","十六","十七","十八","十九","二十"
                                            ,"二十一","二十二","二十三","二十四","二十五","二十六","二十七","二十八","二十九","三十"
                                            ,"三十一","三十一","三十一","三十一","三十一","三十一","三十一","三十一","三十一","四十"};


    public final static String[] WEEKS = {"星期日","星期一","星期二","星期三","星期四","星期五","星期六"};



    public static void main(String[] args) {
//        String[] distNames = dist_name.split(",");
//        Random random=new Random();
//        int number1 = random.nextInt(distNames.length);
//        String distName1 = distNames[number1];
//        int number2 = random.nextInt(distNames.length);
//        String distName2 = distNames[number2];
//        System.out.println(distName1 + distName2);
    }
}
