package com.recovery.order.controller;


import com.recovery.common.base.result.ApiResult;
import com.recovery.common.base.util.RedisUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/api/v1/test")
@Slf4j
public class testController {

    @Resource
    RedisUtil redisUtil;

    /**
     * cs
     */
    @GetMapping("/cs")
    public ApiResult<String> cs(@RequestParam String name, HttpServletRequest request) {

        return ApiResult.ok("cs");
    }
}
