package com.recovery.admin.boot.service;




import com.baomidou.mybatisplus.extension.service.IService;
import com.recovery.admin.boot.entity.MemberUser;
import com.recovery.common.base.dto.MemberUserAuthDTO;


/**
 * @author： 
 */
public interface IMemberUserService extends IService<MemberUser> {


    /**
     * 根据用户名获取认证用户信息，携带角色和密码
     *
     * @param username
     * @return
     */
    MemberUserAuthDTO getByUsername(String username);

}
