package com.recovery.admin.boot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.recovery.admin.boot.entity.User;
import com.recovery.common.base.dto.UserAuthDTO;


/**
 * @author： 
 */
public interface ISysUserService extends IService<User> {


    /**
     * 根据用户名获取认证用户信息，携带角色和密码
     *
     * @param username
     * @return
     */
    UserAuthDTO getByUsername(String username);

}
